using Continuity.Content.Items;
using Microsoft.Xna.Framework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace continuity.Content.Items
{
    public class Geltana : ModItem
    {
        public override void SetDefaults()
        {
            Item.useStyle = 1;
            Item.useTurn = true;
            Item.autoReuse = true;
            Item.useAnimation = 15;
            Item.useTime = 15;
            Item.damage = 25;
        }

        public override void AddRecipes()
        {
            Recipe recipe = Recipe.Create(ModContent.ItemType<Geltana>());
            recipe.AddIngredient(ItemID.Katana, 1);
            recipe.AddIngredient(ModContent.ItemType<ExquisiteGel>(), 8);
            // TODO(midnadimple): Replace torch with coal when we implement that
            recipe.AddIngredient(ItemID.Torch, 20);
            recipe.AddTile(TileID.Solidifier);
            recipe.AddTile(TileID.Anvils);
            recipe.Register();
        }

        public override void OnHitNPC(Player player, NPC target, NPC.HitInfo hit, int damageDone)
        {
            target.AddBuff(BuffID.OnFire, 180);
        }
    }
}
